List Webhooks
GET
/webhooksRetrieve a paginated list of webhooks.
Parameters
| Parameter | Default | Values / Description |
|---|---|---|
filter[eventId] | number | |
page[size] | 50 | Maximum number of results per page |
page[number] | 1 | Page number |
Fields marked with * are required.
Request
js
import Confetti from 'confetti'
const confetti = new Confetti({ apiKey: 'your-key' })
const webhooks = await confetti.webhooks.findAll({
filter: { eventId: 1 },
page: { size: 10, number: 1 },
})sh
curl "https://api.confetti.events/webhooks?filter[eventId]=1" \
-H "Authorization: apikey your-key"Response
ts
interface Webhook {
id: number
type: string
url: string
provider: string
status: string
createdAt: Date
updatedAt: Date
}json
[
{
"type": "ticket.attending",
"url": "http://foo.com/bar",
"provider": "zapier",
"status": "active",
"createdAt": "2020-02-29T15:12:12.435Z",
"updatedAt": "2020-02-29T15:12:12.435Z",
"id": "1"
},
{
"type": "ticket.attending",
"url": "http://foo.com/bar",
"provider": "zapier",
"status": "active",
"createdAt": "2020-02-29T15:12:12.435Z",
"updatedAt": "2020-02-29T15:12:12.435Z",
"id": "1"
}
]json
{
"data": [
{
"id": "1",
"type": "webhook",
"attributes": {
"type": "ticket.attending",
"url": "http://foo.com/bar",
"provider": "zapier",
"status": "active",
"createdAt": "2020-02-29T15:12:12.435Z",
"updatedAt": "2020-02-29T15:12:12.435Z"
}
},
{
"id": "1",
"type": "webhook",
"attributes": {
"type": "ticket.attending",
"url": "http://foo.com/bar",
"provider": "zapier",
"status": "active",
"createdAt": "2020-02-29T15:12:12.435Z",
"updatedAt": "2020-02-29T15:12:12.435Z"
}
}
]
}